import { PATHS } from '@/shared/constants/paths';
import { useNavigate } from '@/shared/lib/hooks/use-navigate';
import { KeyInPaymentListProps } from '../../model/types'
import { ListDateGroup } from '../list-date-group';

export const KeyInPaymentList = ({
  additionalServiceCategory,
  listItems
}: KeyInPaymentListProps) => {
  const { navigate } = useNavigate();

  const getListDateGroup = () => {
    let rs = [];
    for (const [key, value] of Object.entries(listItems)) {
      rs.push(
        <ListDateGroup
          additionalServiceCategory={additionalServiceCategory}
          key={key}
          date={key}
          items={value}
        ></ListDateGroup>
      );
    }
    return rs;
  };

  const onClickToNavigate = () => {
    navigate(PATHS.additionalService.keyInPayment.request)
  };

  return (
    <>
      <div className="transaction-list">
        {getListDateGroup()}
        <div className="apply-row">
          <button
            className="btn-50 btn-blue flex-1"
            onClick={() => onClickToNavigate()}
          >결제 신청</button>
        </div>
      </div>
    </>
  );
}